## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global apiver 0.4

%if 0%{?rhel}
%bcond lensfun 0
%else
%bcond lensfun 1
%endif

# Whether or not docs should be built
%bcond docs 1

Name:           gegl04
Version:        0.4.52
Release:        %autorelease
Summary:        Graph based image processing framework

# The binary is under the GPL, while the libs are under LGPL.
License:        GPL-3.0-or-later AND LGPL-3.0-or-later
URL:            https://www.gegl.org/
Source0:        http://download.gimp.org/pub/gegl/%{apiver}/gegl-%{version}.tar.xz
# Include <stdio.h> for fprintf()
# https://gitlab.gnome.org/GNOME/gegl/-/merge_requests/207
Patch:          0001-Include-stdio.h-for-fprintf.patch

BuildRequires:  chrpath
BuildRequires:  enscript
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel >= 0.19.8
BuildRequires:  gobject-introspection-devel >= 1.32.0
BuildRequires:  gtk-doc
BuildRequires:  libspiro-devel
BuildRequires:  meson
BuildRequires:  perl-interpreter
BuildRequires:  ruby
BuildRequires:  suitesparse-devel
BuildRequires:  vala
BuildRequires:  asciidoc

BuildRequires:  pkgconfig(babl-0.1) >= 0.1.100
BuildRequires:  pkgconfig(cairo) >= 1.12.2
BuildRequires:  pkgconfig(exiv2) >= 0.25
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(jasper) >= 1.900.1
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(lcms2) >= 2.8
%if %{with lensfun}
BuildRequires:  pkgconfig(lensfun) >= 0.2.5
%endif
BuildRequires:  pkgconfig(libraw) >= 0.15.4
BuildRequires:  pkgconfig(libpng) >= 1.6.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.40.6
BuildRequires:  pkgconfig(libv4l2) >= 1.0.1
BuildRequires:  pkgconfig(libwebp) >= 0.5.0
BuildRequires:  pkgconfig(lua) >= 5.1.0

%if ! 0%{?rhel}
%ifarch aarch64 %{ix86} x86_64
BuildRequires:  pkgconfig(luajit) >= 2.0.4
%endif
BuildRequires:  pkgconfig(OpenEXR) >= 2.5.4
%endif

BuildRequires:  pkgconfig(pango) >= 1.38.0
BuildRequires:  pkgconfig(pangocairo) >= 1.38.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.2
BuildRequires:  pkgconfig(sdl2) >= 2.0.5
BuildRequires:  pkgconfig(vapigen) >= 0.20.0
BuildRequires:  pkgconfig(libtiff-4) >= 4.0.0

# operations/common/magick-load.c has a fallback image loader which uses /usr/bin/convert
# However, this code path has no error handling, so no application should rely on it; and
# there is a general trend to migrate away from ImageMagick.
# Requires:       /usr/bin/convert

# gegl contains a stripped down version of poly2tri-c, a C+glib port of
# poly2tri, a 2D constrained Delaunay triangulation library.
# Version information:
#     CURRENT REVISION: b27c5b79df2ffa4e2cb37f9e5536831f16afb11b
#     CACHED ON: August 11th, 2012
Provides:       bundled(poly2tri-c)
Obsoletes:      gegl03 < 0.3.31

%description
GEGL (Generic Graphics Library) is a graph based image processing framework.
GEGLs original design was made to scratch GIMP's itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies and a simple well defined API.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.4.2
Obsoletes:      gegl03-devel < 0.3.31
Conflicts:      %{name}-devel < 0.4.2

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use GEGL API version %{apiver}.


%if %{with docs}
%package        devel-docs
Summary:        Documentation files for developing with %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.4.2
Obsoletes:      gegl03-devel-docs < 0.3.31
Conflicts:      %{name}-devel < 0.4.2
Conflicts:      gegl-devel < 0.4

%description    devel-docs
The %{name}-devel-docs package contains documentation files for developing
applications that use GEGL API version %{apiver}.
%endif


%package        tools
Summary:        Command line tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      gegl03-tools < 0.3.31
Conflicts:      gegl < 0.4

%description    tools
The %{name}-tools package contains tools for the command line that use the
GEGL library.


%prep
%autosetup -p1 -n gegl-%{version}


%build
%meson --auto-features=auto %{!?with_docs:-Ddocs=false -Dgtk-doc=false}%{?with_docs:-Ddocs=true -Dgtk-doc=true}
%meson_build


%install
%meson_install

# Remove rpaths
chrpath --delete %{buildroot}%{_bindir}/*
chrpath --delete %{buildroot}%{_libdir}/*.so*
chrpath --delete %{buildroot}%{_libdir}/gegl-%{apiver}/*.so

%find_lang gegl-%{apiver}


%ldconfig_scriptlets


%files -f gegl-%{apiver}.lang
%license COPYING.LESSER
%{_libdir}/gegl-%{apiver}/
%{_libdir}/libgegl-%{apiver}.so.*
%{_libdir}/libgegl-npd-%{apiver}.so
%{_libdir}/libgegl-sc-%{apiver}.so
%{_libdir}/girepository-1.0/Gegl-%{apiver}.typelib

%if ! 0%{?rhel}
%ifarch aarch64 %{ix86} x86_64
%dir %{_datadir}/gegl-%{apiver}/
%{_datadir}/gegl-%{apiver}/lua/
%endif
%endif

%files devel
%{_includedir}/gegl-%{apiver}/
%{_libdir}/libgegl-%{apiver}.so
%{_libdir}/pkgconfig/gegl-%{apiver}.pc
%{_libdir}/pkgconfig/gegl-sc-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gegl-%{apiver}.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gegl-%{apiver}.deps
%{_datadir}/vala/vapi/gegl-%{apiver}.vapi

%if %{with docs}
%files devel-docs
%doc %{_datadir}/gtk-doc/
%endif

%files tools
%license COPYING
%{_bindir}/*


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 30 2024 Nils Philippsen <nils@tiptoe.de> - 0.4.52-1
- Update to 0.4.52

* Sat Nov 30 2024 Peter Robinson <pbrobinson@gmail.com> - 0.4.50-3
- Fix luajit arches

* Wed Nov 06 2024 Nils Philippsen <nils@tiptoe.de> - 0.4.50-2
- Re-enable devel-docs subpackage

* Sun Nov 03 2024 Nils Philippsen <nils@tiptoe.de> - 0.4.50-1
- Update to 0.4.50

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.48-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 01 2024 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.48-3
- Disable docs to fix FTBFS
- Rebuilt for exiv2 0.28.2

* Mon Apr 22 2024 Josef Řídký <jridky@redhat.com> - 0.4.48-2
- Rebuild for new openexr

* Tue Feb 13 2024 Josef Řídký <jridky@redhat.com> - 0.4.48-1
- New upstream release 0.4.48 (#2263786)

* Sun Feb 04 2024 Orion Poplawski <orion@nwra.com> - 0.4.46-6
- Rebuild with suitesparse 7.6.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.46-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.46-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 28 2023 Orion Poplawski <orion@nwra.com> - 0.4.46-3
- Rebuild for jasper 4.1

* Fri Nov 10 2023 Jiri Kucera <jkucera@redhat.com> - 0.4.46-2
- Drop lensfun on RHEL

* Tue Aug 29 2023 Nils Philippsen <nils@tiptoe.de> - 0.4.46-1
- New upstream release 0.4.46

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.44-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 30 2023 David King <amigadave@amigadave.com> - 0.4.44-2
- Build against newer babl releases

* Mon Mar 27 2023 Josef Řídký <jridky@redhat.com> - 0.4.44-1
- Resolves: #2142383 - new upstream release 0.4.44

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Gwyn Ciesla <gwync@protonmail.com> - 0.4.38-3
- Patch for api change.

* Tue Dec 20 2022 Gwyn Ciesla <gwync@protonmail.com> - 0.4.38-2
- LibRaw rebuild

* Mon Aug 01 2022 Josef Řídký <jridky@redhat.com> - 0.4.38-1
- New upstream release 0.4.38

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Mar 14 2022 Josef Řídký <jridky@redhat.com> - 0.4.36-1
- New upstream release 0.4.36

* Sun Feb 13 2022 Josef Řídký <jridky@redhat.com> - 0.4.34-4
- Rebuilt for libjasper.so.6

* Sun Feb 13 2022 Josef Řídký <jridky@redhat.com> - 0.4.34-3
- Rebuild for new jasper library

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Josef Řídký <jridky@redhat.com> - 0.4.34-1
- Resolves: #2035384 - fix CVE-2021-45463

* Mon Oct 18 2021 Josef Řídký <jridky@redhat.com> - 0.4.32-1
- New upstream release

* Sat Aug 21 2021 Richard Shaw <hobbes1069@gmail.com> - 0.4.30-6
- Rebuild for OpenEXR/Imath 3.1.

* Mon Aug 02 2021 Richard Shaw <hobbes1069@gmail.com> - 0.4.30-5
- Rebuild for OpenEXR 3.

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 06 2021 Richard Shaw <hobbes1069@gmail.com> - 0.4.30-3
- Add missing openexr header to support future openexr 3.0 build.

* Thu Apr 15 2021 Debarshi Ray <debarshir@gnome.org> - 0.4.30-2
- Disable luajit on RHEL

* Fri Apr 02 2021 Kalev Lember <klember@redhat.com> - 0.4.30-1
- Update to 0.4.30

* Thu Jan 28 2021 Josef Řídký <jridky@redhat.com> - 0.4.26-4
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
